package com.lukouguoji.gnc.page.shouyun.list

import android.view.View
import com.lukouguoji.gnc.databinding.ItemGncDistributionHandoverBinding
import com.lukouguoji.gnc.databinding.ItemGncShouyunBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.GncShouYunBean

class GncShouYunListViewHolder(view: View) :
    BaseViewHolder<GncShouYunBean, ItemGncShouyunBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        val bean = getItemBean(item)!!
        binding.bean = bean

        notifyItemClick(position, binding.shouyunItem)

        binding.ivIcon.setOnClickListener {
            bean.checked.set(!bean.checked.get())
        }
    }

}